METALINK_RESOURCE_T(3)

NAME
metalink_resource_t - The structure that holds an URL of a resource and its metadata.

SYNOPSIS
#include <metalink/metalink_types.h>

DESCRIPTION
metalink_resource_t is a structure that holds an URL of a resource and its metadata.

STRUCTURE MEMBERS
char *url;
char *type;
char *location;
int preference;
int maxconnections;

  url
Null terminated string of URL.

  type
Null terminated string of protocol of URL, like "http", "ftp".

  location
Null terminated string of country code, like "JP", where the server in URL resides.

  preference
Preference of this resource. The higher value has bigger preference.

  maxconnections
Max connections that a client can establish to this resource simultaneously.

SEE ALSO
metalink_parse_file(3)